<?php
/**
 * @package XCube
 * @version $Id: XCube_Permission.class.php,v 1.1.2.1 2006/09/29 08:13:22 minahito Exp $
 */

/**
 * XCube_PermissionUtils
 */
class XCube_Permissions
{
	function getRolesOfAction()
	{
		$args = func_get_args();
		$actionName = array_shift($args);
		
		$root =& XCube_Root::getSingleton();
		return $root->mPermissionManager->getRolesOfAction($actionName, $args);
	}
}

class XCube_AbstractPermissionProvider
{
	function XCube_AbstractPermissionProvider()
	{
	}
	
	function prepare()
	{
	}
	
	function getRolesOfAction($actionName, $args)
	{
	}
}

?>